Article ID: 120787, created on Mar 29, 2014, last review on May 3, 2014

  • Applies to:
  • Odin Business Automation Standard 4.5
  • Odin Business Automation Standard 4.3

Symptoms

The following error appears when I try to resolve a conflict:

Cannot resolve conflict: "The selected hosting plan doesn't contain the following applications installed in the Container: spamassassin/00000000

However application "Spamassassin (spamassassin/00000000)" is enabled in the hosting plan which I assign during conflict resolution.

Cause

The error is caused by existence of EOLed templates in the hosting plan: Plesk 8. The following templates list is shown after click on "Container is not registered":

Plesk 8 - rails Ruby on Rails support (plesk8-rails/00000000)
Plesk 8 - sbm Sitebuilder Connector module (plesk8-sbm/00000000)
Plesk 8 - SpamAssassin spam filter Support (plesk8-spamassassin/00000000)
Spamassassin (spamassassin/00000000)                                                            
Plesk 8 - "Application Vault" a set of useful applications (plesk8-vault/00000000)
Plesk 8 - "Watchdog" a module for Monitoring Server Services (plesk8-watchdog/00000000)
PostgreSQL Version 8.1.11 (postgresql/00000000)
Tomcat for CentOS 5 (tomcat/00000000)

Even template "Spamassassin (spamassassin/00000000)" is shown in the list, it's reported as missing later. PBA-S 4.3 and 4.5 cannot handle templates for EOLed Plesk versions 8.x and 9.x.

Resolution

Follow these steps to resolve the issue:

  1. upgrade all templates Plesk 8 or Plesk 9 to Plesk 11 for the container on HW node with the "vzctl" command manually;
  2. change templates to Plesk 11 in the hosting plan;
  3. resolve the conflict usual way.

Related Articles

How to upgrade Parallels Plesk Panel 8.x to new version registered in PBA-S?

Upgrade in PBA-S from Plesk 9 to Plesk 11

Cannot resolve "Container is not registered" conflict: "The selected hosting plan doesn't contain the following applications installed in the Container"

Search Words

Plesk 9

Cannot resolve a conflict

The selected hosting plan doesn't contain the following applications

EOL Plesk

Plesk 8

624ca542e40215e6f1d39170d8e7ec75 caea8340e2d186a540518d08602aa065 400e18f6ede9f8be5575a475d2d6b0a6 70a5401e8b9354cd1d64d0346f2c4a3e 807e9c1dc97aefd951b912a17e50c428

Email subscription for changes to this article
Save as PDF